﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;

using System.Data.SqlClient;
using System.Data;


namespace RAPID.FillingAndDispositionWebService
{
    [ServiceContract(Name = "IFilingAndDispositionService", Namespace = "http://rapid.kbi.state.ks.us/FilingAndDispositionService/1.0/")]
    public interface IFilingAndDispositionService
    {

       
        [OperationContract(Name = "CreateDispositionAuto", Action = "http://rapid.kbi.state.ks.us/FilingAndDispositionService/1.0/CreateDispositionAuto")]
        int CreateDispositionAuto(string xmlDisposition);

        [OperationContract(Name = "GetErrantDispositions", Action = "http://rapid.kbi.state.ks.us/FilingAndDispositionService/1.0/GetErrantDispositions")]
        string GetErrantDispositions(string ORI, DateTime ProcessedDateFrom, DateTime ProcessedDateTo, string Status, bool Archive);

        [OperationContract(Name = "GetMissingDispositions", Action = "http://rapid.kbi.state.ks.us/FilingAndDispositionService/1.0/GetMissingDispositions")]
        string GetMissingDispositions(string ArrestingORI, DateTime FromDate, DateTime ToDate, bool Refresh);
    
    }

}
